# List contents

Launch stage: GA

`GET /api/2.0/workspace/list`

Lists the contents of a directory, or the object if it is not a directory.
 If the input path does not exist, this call returns an error `RESOURCE_DOES_NOT_EXIST`.

API scopes: workspace

## Query parameters

- `path` (string, required)
  The absolute path of the notebook or directory.
- `notebooks_modified_after` (int64, optional)
  UTC timestamp in milliseconds

## Returns

Returns a list of ObjectInfo objects.

## Response

```json
{
  "objects": [
    {
      "path": "/Users/user@example.com/project",
      "object_type": "DIRECTORY",
      "object_id": 123
    },
    {
      "path": "/Users/user@example.com/PythonExampleNotebook",
      "language": "PYTHON",
      "object_type": "NOTEBOOK",
      "object_id": 456
    }
  ]
}
```

